Loading...
Searching...
No Matches
adts_parser.h File Reference
`#include <stddef.h>`
`#include <stdint.h>`

Go to the source code of this file.

## Macros

#define | AV_AAC_ADTS_HEADER_SIZE 7

## Functions

int | av_adts_header_parse (const uint8_t *buf, uint32_t *samples, uint8_t *frames)
| Extract the number of samples and frames from AAC data.

## Macro Definition Documentation

## AV_AAC_ADTS_HEADER_SIZE

#define AV_AAC_ADTS_HEADER_SIZE 7

Definition at line 25 of file adts_parser.h.

## Function Documentation

## av_adts_header_parse()

int av_adts_header_parse | ( | const uint8_t * | buf,
|  | uint32_t * | samples,
|  | uint8_t * | frames
| ) |  |

Extract the number of samples and frames from AAC data.

Parameters

  [in] | buf | pointer to AAC data buffer
  [out] | samples | Pointer to where number of samples is written
  [out] | frames | Pointer to where number of frames is written

Returns
  Returns 0 on success, error code on failure.